/////////////////////////////////////////////////////////////////////////////
// Name:        defsext.h extensions
// Purpose:     Common declarations
// Maintainer:  Otto Wyss
// Created:     2003-01-20
// RCS-ID:      $Id: defsext.h,v 1.1 2005/03/17 20:03:41 wyo Exp $
// Copyright:   (c) 2004 xGuide
// Licence:     wxWindows
//////////////////////////////////////////////////////////////////////////////

#ifndef _WX_DEFSEXT_H_
#define _WX_DEFSEXT_H_

//----------------------------------------------------------------------------
// headers
//----------------------------------------------------------------------------

//! wxWidgets headers
#include <wx/html/helpctrl.h> // html help support
#include <wx/print.h>    // printing support
#include <wx/printdlg.h> // printing dialog

#include "setup.h"       // Configuration


//============================================================================
// declarations
//============================================================================

#define DEFAULT_LANGUAGE _("<default>")

const wxString PAGE_COMMON = _T("Common");
const wxString PAGE_LANGUAGES = _T("Languages");
const wxString PAGE_STYLE_TYPES = _T("Style types");
const wxString PAGE_ANALYSE = _T("Analyse");

const int STYLE_TYPES_COUNT = 32;
const int ANALYSE_COUNT = 10;


// ----------------------------------------------------------------------------
// standard IDs
// ----------------------------------------------------------------------------

enum {
    // menu IDs
    myID_PROPERTIES = wxID_HIGHEST,
    myID_INDENTINC,
    myID_INDENTRED,
    myID_FINDINFILES,
    myID_FINDNEXT,
    myID_NEWOTHER,
    myID_OPENOTHER,
    myID_REPLACE,
    myID_REPLACENEXT,
    myID_REPLACEALL,
    myID_BRACEMATCH,
    myID_GOTO,
    myID_BOOKMARKCLEAR,
    myID_BOOKMARKNEXT,
    myID_BOOKMARKPREV,
    myID_BOOKMARKTOGGLE,
    myID_PREFS,
    myID_BROWSEINFO,
    myID_TOOLBARS,
    myID_TWOWINDOWS,
    myID_PAGEACTIVE,
    myID_PAGECLOSE,
    myID_DISPLAYEOL,
    myID_DISPLAYFOLD,
    myID_INDENTGUIDE,
    myID_LINENUMBER,
    myID_LONGLINEON,
    myID_WHITESPACE,
    myID_FOLDTOGGLE,
    myID_OVERTYPE,
    myID_READONLY,
    myID_WRAPMODEON,
    myID_CHANGECASE,
    myID_CHANGELOWER,
    myID_CHANGEUPPER,
    myID_WHITESPACETO,
    myID_WHITETOSPACE,
    myID_WHITETOTAB,
    myID_TRAILINGSPACE,
    myID_HILIGHTLANG,
    myID_HILIGHTFIRST,
    myID_HILIGHTLAST = myID_HILIGHTFIRST + 99,
    myID_CONVERTEOL,
    myID_CONVERTCR,
    myID_CONVERTCRLF,
    myID_CONVERTLF,
    myID_USECHARSET,
    myID_CHARSET_ANSI,
    myID_CHARSET_EASTEUROPE,
    myID_CHARSET_GB2312,
    myID_CHARSET_HANGUL,
    myID_CHARSET_HEBREW,
    myID_CHARSET_SHIFTJIS,
    myID_CHARSET_ARABIC,
    myID_CHARSET_BALTIC,
    myID_CHARSET_CHINESEBIG5,
    myID_CHARSET_GREEK,
    myID_CHARSET_JOHAB,
    myID_CHARSET_MAC,
    myID_CHARSET_OEM,
    myID_CHARSET_RUSSIAN,
    myID_CHARSET_SYMBOL,
    myID_CHARSET_THAI,
    myID_CHARSET_TURKISH,
    myID_CHARSET_VIETNAMESE,
    myID_CHARTABLE,
    myID_FRAMELAYOUT,
    myID_PAGEPREV,
    myID_PAGENEXT,
    myID_SELECTLINE,
    myID_WINDOW1,
    myID_WINDOW2,
    myID_WINDOW3,
    myID_WINDOW4,
    myID_WINDOW5,
    myID_WINDOW6,
    myID_WINDOW7,
    myID_WINDOW8,
    myID_WINDOW9,
    myID_WINDOWS,
    myID_HELP_LOAD,

    // other IDs
    myID_BROWSESELECT,
    myID_PAGESELECT,
    myID_STATUSBAR,
    myID_ABOUTTIMER,
    myID_UPDATETIMER,

    // event IDs
    myEVT_COMMONNOTIFY,
    myEVT_COMMONUPDATE,
    myEVT_RESULTFOUND,
    myEVT_OPENANDGOTO,

    // dialog find IDs
    myID_DLG_FIND_TEXT,

    // preferences IDs
    myID_PREFS_LANGUAGE,
    myID_PREFS_STYLETYPE,
    myID_PREFS_STYLEFOREGROUND,
    myID_PREFS_STYLEBACKGROUND,
    myID_PREFS_STYLEFONTNAME,
    myID_PREFS_STYLEFONTSIZE,
    myID_PREFS_STYLEBOLD,
    myID_PREFS_STYLEITALIC,
    myID_PREFS_STYLEUNDERLINE,
    myID_PREFS_STYLEHIDDEN,
    myID_PREFS_ANALYSE,
    myID_PREFS_KEYWORDS,
};

// ----------------------------------------------------------------------------
// edit items
// ----------------------------------------------------------------------------
enum {
    edit_EDIT,
    edit_RESULT
};


// ----------------------------------------------------------------------------
// global items
// ----------------------------------------------------------------------------

//! global application name
extern wxString g_appname;

//! global help provider
extern wxHtmlHelpController *g_help;
extern wxString g_helppath;
extern wxArrayString g_helpbooks;

//! global print data, to remember settings during the session
extern wxPrintData *g_printData;
extern wxPageSetupData *g_pageSetupData;

//! global status text
extern wxString g_statustext;

#endif // _WX_DEFSEXT_H_

