//////////////////////////////////////////////////////////////////////////////
// File:        langdlg.cpp
// Purpose:     choose language dialog
// Maintainer:  Otto Wyss
// Created:     2003-07-20
// RCS-ID:      $Id: langdlg.cpp,v 1.1 2005/03/17 20:03:43 wyo Exp $
// Copyright:   (c) 2005 wyoGuide
// Licence:     wxWindows
//////////////////////////////////////////////////////////////////////////////

//----------------------------------------------------------------------------
// headers
//----------------------------------------------------------------------------

// For compilers that support precompilation, includes <wx/wx.h>.
#include <wx/wxprec.h>

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

// for all others, include the necessary headers (this file is usually all you
// need because it includes almost all 'standard' wxWidgets headers)
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "langdlg.h"     // language dialog


//----------------------------------------------------------------------------
// resources
//----------------------------------------------------------------------------


//============================================================================
// declarations
//============================================================================


//============================================================================
// implementation
//============================================================================

//----------------------------------------------------------------------------
// myLanguageDlg
//----------------------------------------------------------------------------

BEGIN_EVENT_TABLE (myLanguageDlg, wxDialog)
    EVT_BUTTON (wxID_CANCEL,      myLanguageDlg::OnCancel)
    EVT_BUTTON (wxID_OK,          myLanguageDlg::OnOkay)
END_EVENT_TABLE()

myLanguageDlg::myLanguageDlg (wxWindow *parent,
                              int current,
                              long style)
             : wxDialog (parent, -1, _("Choose language"),
                         wxDefaultPosition, wxDefaultSize) {

    // determine languages

    // language
    wxBoxSizer *chooselang = new wxBoxSizer (wxHORIZONTAL);
    chooselang->Add (new wxStaticText (this, -1, _("Choose language:")),
                     0, wxALIGN_TOP | wxALIGN_LEFT);
    chooselang->Add (6, 0);
    m_language = new wxComboBox (panel, myID_LANGUAGE, wxEmptyString,
                                 wxDefaultPosition, wxSize(136,-1));
    chooselang->Add (m_language, 1, wxALIGN_TOP | wxALIGN_RIGHT);

    // buttons
    wxBoxSizer *buttonpane = new wxBoxSizer (wxHORIZONTAL);
    m_okayButton = new wxButton (this, wxID_OK, _("Ch&oose"));
    m_okayButton->SetDefault();
    buttonpane->Add (m_okayButton, 0, wxALIGN_RIGTH);
    buttonpane->Add (6, 0);
    m_cancelButton = new wxButton (this, wxID_CANCEL, _("Cancel"));
    buttonpane->Add (m_cancelButton, 0, wxALIGN_LEFT);

    wxBoxSizer *totalpane = new wxBoxSizer (wxVERTICAL);
    totalpane->Add (gotopane, 0, wxEXPAND | wxLEFT| wxRIGHT | wxTOP, 10);
    totalpane->Add (0, 6);
    totalpane->Add (buttonpane, 0, wxEXPAND | wxLEFT | wxRIGHT | wxBOTTOM, 10);

    m_position->SetFocus();
    m_position->SetSelection (-1, -1);
    SetSizerAndFit (totalpane);

}

//----------------------------------------------------------------------------
// event handlers

void myLanguageDlg::OnCancel (wxCommandEvent &WXUNUSED(event)) {
    EndModal (wxID_CANCEL);
}

void myLanguageDlg::OnOkay (wxCommandEvent &WXUNUSED(event)) {
    EndModal (wxID_OK);
}

//----------------------------------------------------------------------------
// private functions

int myLanguageDlg::ShowModal (long style) {
    m_language->SetFocus();
    m_language->SetSelection (-1, -1);
    return wxDialog::ShowModal();
}
